claw::multi_type_map_visitor Class Reference

This class goes through all entries in a multi_type_map and apply a function to them. More...

`#include <multi_type_map_visitor.hpp>`

## Public Member Functions

template<typename Key, typename TypeList, typename Function>
void | run (multi_type_map< Key, TypeList > &m, Function f) const

## Detailed Description

This class goes through all entries in a multi_type_map and apply a function to them.

Author
  Julien Jorge

Definition at line 43 of file multi_type_map_visitor.hpp.

The documentation for this class was generated from the following file:

- multi_type_map_visitor.hpp